<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Coverage](./puppeteer.coverage.md) &gt; [startJSCoverage](./puppeteer.coverage.startjscoverage.md)

## Coverage.startJSCoverage() method

<b>Signature:</b>

```typescript
startJSCoverage(options?: {
        resetOnNavigation?: boolean;
        reportAnonymousScripts?: boolean;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | { resetOnNavigation?: boolean; reportAnonymousScripts?: boolean; } |  |

<b>Returns:</b>

Promise&lt;void&gt;

